use 教学成绩管理数据库       --一段一段选中执行
go 

--1.删除表
drop table 学生信息表

--2.创建表
create table 学生信息表(
  学号 char(6) primary key,    --定义主键
--  学号 char(6) null primary key,    --在上行行首加上--, 去掉本行行首--试试
  姓名 nchar(4) not null,
  性别 nchar(1),
  家庭住址 nvarchar(20)
)
go

--3.验证，一条一条选中执行
insert 学生信息表 values ('000001', '高八斗', '男', '太原')
insert 学生信息表 values ('000001', '景墨玉', '女', '北京')
select * from 学生信息表